Skip to navigation

Update notification structure for template

View as Markdown
Updates the notification structure for an existing template. Use this endpoint to set reminder and expiration notifications.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Request

This endpoint expects an object: templateNotificationRequest

expirationsobjectOptional

A complex element that specifies the expiration settings for the envelope. When an envelope expires, it is voided and no longer available for signing. Note: there is a short delay between when the envelope expires and when it is voided.

passwordstringOptional

The user’s password.

This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings.

This property is not returned by GET requests and cannot be updated via PUT requests.

remindersobjectOptional
A complex element that specifies reminder settings for the envelope
useAccountDefaultsstringOptional

When true, the account default notification settings are used for the envelope, overriding the reminders and expirations settings. When false, the reminders and expirations settings specified in this request are used. The default value is false.

Response

Successful response.
expirationsobjectOptional

A complex element that specifies the expiration settings for the envelope. When an envelope expires, it is voided and no longer available for signing. Note: there is a short delay between when the envelope expires and when it is voided.

remindersobjectOptional
A complex element that specifies reminder settings for the envelope
useAccountDefaultsstringOptional

When true, the account default notification settings are used for the envelope, overriding the reminders and expirations settings. When false, the reminders and expirations settings specified in this request are used. The default value is false.

Errors

400
Bad Request Error